1. Domains
SwaggerHub Registry API
  • APIs
    • Retrieves a list of currently defined APIs in APIs.json format.
      GET
    • Retrieves an APIs.json listing of all APIs defined for this owner
      GET
    • Deletes the specified API
      DELETE
    • Retrieves an APIs.json listing for all API versions for this owner and API
      GET
    • Saves the provided Swagger definition
      POST
    • Deletes API's collaboration
      DELETE
    • Gets API's collaboration
      GET
    • Updates API's collaboration
      PUT
    • Deletes a particular version of the specified API
      DELETE
    • Retrieves the Swagger definition for the specified API and version
      GET
    • Returns comments for the specified API version
      GET
    • Retrieves the Swagger definition for the specified API and version in JSON format
      GET
    • Retrieves the Swagger definition for the specified API and version in YAML format
      GET
    • Retrieves a list of currently defined APIs and Domains in APIs.json format
      GET
  • Domains
    • Retrieves a list of currently defined domains in APIs.json format
      GET
    • Retrieves an APIs.json listing of all domains defined for this owner
      GET
    • Deletes the specified domain
      DELETE
    • Retrieves an APIs.json listing for all domain versions for this owner and domain
      GET
    • Saves the provided Swagger definition of a domain
      POST
    • Deletes a particular version of the specified domain
      DELETE
    • Retrieves the Swagger definition for the specified domain and version
      GET
    • Returns comments for the specified domain version
      GET
    • Retrieves the definition for the specified domain and version in JSON format
      GET
    • Retrieves the definition for the specified domain and version in YAML format
      GET
  • Schemas
    • Schemas
      • ApisJson
      • ApisJsonApi
      • ApisJsonProperty
      • ClosableComment
      • Collaboration
      • CollaborationHint
      • CollaborationMember
      • CollaborationMembership
      • CollaborationTeamMembership
      • Comment
      • Page
      • User
  1. Domains

Returns comments for the specified domain version

GET
/domains/{owner}/{domain}/{version}/.comment
Returns all the comments and replies added by collaborators in the specified domain version.

Request

Path Params

Responses

🟢200Comments for the specified domain
application/json
Body

🟢204No comments were found for the specified domain version
🟠401The access token is missing or invalid
🟠403Access denied (insufficient user permissions)
🟠404The specified domain or version was not found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.swaggerhub.com/domains////.comment'
Response Response Example
200 - Example 1
[
    {
        "body": "string",
        "created": "2019-08-24T14:15:22.123Z",
        "id": "141b0adb-f26a-438b-be78-906445c91a36",
        "modified": "2019-08-24T14:15:22.123Z",
        "user": {
            "active": true,
            "id": "alex"
        },
        "position": 0,
        "replies": [
            {
                "body": "string",
                "created": "2019-08-24T14:15:22.123Z",
                "id": "141b0adb-f26a-438b-be78-906445c91a36",
                "modified": "2019-08-24T14:15:22.123Z",
                "user": {
                    "active": true,
                    "id": "alex"
                }
            }
        ],
        "status": "OPEN"
    }
]
Modified at 2022-09-11 16:53:02
Previous
Retrieves the Swagger definition for the specified domain and version
Next
Retrieves the definition for the specified domain and version in JSON format
Built with